---
title: "Get Members of a Channel"
slug: "get-members-of-a-channel"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Members of a Channel

Get/api/v1/channels.members

Lists all channel users. The list of elements a user can use to sort the list is limited. The current sortable element is: `username`.

If the channel is a broadcast channel, you need the `view-broadcast-member-list` permission.

### Changelog

| Version | Description |
| --- | --- |
| 0.59.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersroomIdstring

The room ID. It is required if the `roomName` is not provided.

Exampledlpfuijw7ej
roomNamestring

The room name. It is required if the `roomId` is not provided.

Examplegeneral
statusarray of string

The user's status (search filter).

Example['online', 'away']
filterstring

Extra search filters to be applied to the fields defined in the `Accounts_SearchFields`setting.

Examplemy-nickname
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='d3ede2d9-b2c2-4c1f-957c-2dc904c310fb'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='6bfa89c2-d965-428b-b54b-50b451314a17'>Success</option>
</select>Success

```json
{
  "members": [
    {
      "_id": "rbAXPnMktTFbNpwtJ",
      "username": "roxie",
      "status": "offline",
      "_updatedAt": "2023-09-24T22:27:33.610Z",
      "name": "test test",
      "nickname": "baby girl"
    },
    {
      "_id": "5fRTXMt7DMJbpPJfh",
      "username": "test.test",
      "status": "offline",
      "_updatedAt": "2023-09-16T08:33:38.123Z",
      "name": "Testtest",
      "avatarETag": "GFoEi6wv3uAxnzDcD",
      "nickname": "test.test"
    }
  ],
  "count": 2,
  "offset": 0,
  "total": 2,
  "success": true
}
```

Expand Allobject  members Array of object   object  _idstring    
usernamestring    
statusstring    
_updatedAtstring    
namestring    
nicknamestring    
avatarETagstring    

countinteger    
offsetinteger    
totalinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='2acadf5e-92d0-4c50-bdfa-2ef80b95cb4f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7d16cd56-3361-49d7-80cb-ab817ddd4ae9'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
